net.sf.jasperreports.engine.base

## Class JRVirtualPrintPage.JRIdHolderRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRVirtualPrintPage.JRIdHolderRenderer

- All Implemented Interfaces:
    java.io.Serializable, JRRenderable, Renderable
  Enclosing class:
    JRVirtualPrintPage

      public static class JRVirtualPrintPage.JRIdHolderRenderer
      extends java.lang.Object
      implements Renderable

  Dummy image renderer that only stores the ID of a cached renderer. When a page gets serialized, all image renderers that are cached in the virtualization context are replaced with dummy renderers that only store the ID. When a page gets deserialized, the original renderers are restored from the virtualization context based on the ID.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `id`

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRVirtualPrintPage.JRIdHolderRenderer(Renderable renderer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Dimension2D` | `getDimension()`
    `java.awt.geom.Dimension2D` | `getDimension(JasperReportsContext jasperReportsContext)`
    `java.lang.String` | `getId()`
    `byte[]` | `getImageData()`
    `byte[]` | `getImageData(JasperReportsContext jasperReportsContext)`
    `byte` | `getImageType()`
    `ImageTypeEnum` | `getImageTypeValue()`
    `byte` | `getType()`
    `RenderableTypeEnum` | `getTypeValue()`
    `void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectanle)`
    `void` | `render(JasperReportsContext jasperReportsContext, java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectanle)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected final java.lang.String id

  - ### Constructor Detail

    - #### JRVirtualPrintPage.JRIdHolderRenderer

          public JRVirtualPrintPage.JRIdHolderRenderer(Renderable renderer)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `JRRenderable`
      Specified by:
        `getId` in interface `Renderable`

    - #### getType

          public byte getType()

      Specified by:
        `getType` in interface `JRRenderable`

    - #### getImageType

          public byte getImageType()

      Specified by:
        `getImageType` in interface `JRRenderable`

    - #### getDimension

          public java.awt.geom.Dimension2D getDimension()
                                                 throws JRException

      Specified by:
        `getDimension` in interface `JRRenderable`
      Throws:
        `JRException`

    - #### getImageData

          public byte[] getImageData()
                              throws JRException

      Specified by:
        `getImageData` in interface `JRRenderable`
      Throws:
        `JRException`

    - #### render

          public void render(java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectanle)
                      throws JRException

      Specified by:
        `render` in interface `JRRenderable`
      Throws:
        `JRException`

    - #### getTypeValue

          public RenderableTypeEnum getTypeValue()

      Specified by:
        `getTypeValue` in interface `Renderable`

    - #### getImageTypeValue

          public ImageTypeEnum getImageTypeValue()

      Specified by:
        `getImageTypeValue` in interface `Renderable`

    - #### getDimension

          public java.awt.geom.Dimension2D getDimension(JasperReportsContext jasperReportsContext)
                                                 throws JRException

      Specified by:
        `getDimension` in interface `Renderable`
      Throws:
        `JRException`

    - #### getImageData

          public byte[] getImageData(JasperReportsContext jasperReportsContext)
                              throws JRException

      Specified by:
        `getImageData` in interface `Renderable`
      Throws:
        `JRException`

    - #### render

          public void render(JasperReportsContext jasperReportsContext,
                    java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectanle)
                      throws JRException

      Specified by:
        `render` in interface `Renderable`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com